Page MenuHomePhabricator

Decomission mw2061-mw2074
Closed, ResolvedPublic

Description

mw2061 to mw2074 are API app servers which are out of warranty since 2014-06-14.

Instead of reimaging to jessie we should rather remove them, codfw currently has a higher number of API servers compared to eqiad anyway (68 in codfw, 50 in eqiad)

Details

Related Gerrit Patches:
operations/dns : masterRemove mw2061-mw2074 from DNS
operations/puppet : productionDecom mw2061-mw2074

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 5 2016, 2:09 PM
Joe added a comment.Sep 5 2016, 2:11 PM

We can remove these, but we'd probably need some more servers to compensate the loss of computing power (eqiad servers are now newer and more powerful).

mark added a subscriber: mark.Sep 6 2016, 10:02 AM

Yes, the batch we bought in May was supposed to replace these. However, we have budget in this new FY to expand capacity.

elukey added a subscriber: elukey.Sep 9 2016, 12:37 PM

@Joe can we proceed with the decom or would it be better to wait for the replacements?

We discussed that on IRC, I'll decom these.

Change 309572 had a related patch set uploaded (by Muehlenhoff):
Decom mw2061-mw2074

https://gerrit.wikimedia.org/r/309572

Mentioned in SAL [2016-09-12T10:19:45Z] <moritzm> decomissioning mw2061-mw2074 (Bug: T144745)

Change 309572 merged by Muehlenhoff:
Decom mw2061-mw2074

https://gerrit.wikimedia.org/r/309572

mw2061-mw2074 have been removed from puppet, Icinga, conftool and Salt and were powered down.

mark added a comment.Sep 12 2016, 2:24 PM

Yes, these should be decommissioned as they're very old.

Change 310002 had a related patch set uploaded (by Muehlenhoff):
Remove mw2061-mw2074 from DNS

https://gerrit.wikimedia.org/r/310002

Change 310002 merged by Muehlenhoff:
Remove mw2061-mw2074 from DNS

https://gerrit.wikimedia.org/r/310002

mw2061-mw2074 have been removed from puppet, Icinga, conftool and Salt and were powered down. They have also been removed from DNS (except the mgmt entries).

MoritzMuehlenhoff renamed this task from Remove mw2061-mw2074 to Decomission mw2061-mw2074.Sep 13 2016, 10:36 AM

Disk wipe complete
Decommission tracking sheet update
Racktables update
Servers unracked complete

Papaul closed this task as Resolved.Sep 16 2016, 5:18 PM

DNS mgmt entries removed
Decommission complete closing this task.